[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# OutOfMemoryError

Raise an EOutOfMemory exception

## Declaration

Source position: sysutilh.inc line 243

`procedure OutOfMemoryError;`

## Description

OutOfMemoryError raises an EOutOfMemory exception, with an exception object that has been allocated on the heap at program startup. The program should never create an EOutOfMemory exception, but always call this routine.

## See also

EOutOfMemory |  | Out of memory error.